aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools/skqp/clean_app.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/skqp/clean_app.sh')
-rwxr-xr-xtools/skqp/clean_app.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/tools/skqp/clean_app.sh b/tools/skqp/clean_app.sh
new file mode 100755
index 0000000000..d6b5284d88
--- /dev/null
+++ b/tools/skqp/clean_app.sh
@@ -0,0 +1,17 @@
+#! /bin/sh
+
+# Copyright 2018 Google Inc.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+set -e
+
+# Change to the root and remove previously added build assets from the source
+# tree of the SKQP app.
+cd "$(dirname "$0")/../.."
+cd platform_tools/android/apps
+git clean -fxd skqp/build \
+ skqp/src/main/assets/gmkb \
+ skqp/src/main/assets/resources \
+ skqp/src/main/libs \
+ .gradle build viewer/build